<?php
$this->PageTitle = "Metas de Vendas &raquo; {$ano} &raquo; Transferęncia de Metas";

echo CHtml::label("Selecione a unidade de negócios de origem", 'selecionaUnidadeOrigem');
echo CHtml::dropDownList(
    'unidade',
    $origem->REV_IDREVENDA ?? false,
    $revendasInativadas,
    array('id' => 'selecionaUnidadeOrigem', 'prompt' => 'Selecione')
);

$cs = Yii::app()->getClientScript();

if ($origem) {
    echo CHtml::label("Selecione a unidade de negócios de destino", 'selecionaUnidadeDestino');
    echo CHtml::dropDownList(
        'unidade',
        $destino->REV_IDREVENDA ?? false,
        $revendasNovas,
        array('id' => 'selecionaUnidadeDestino', 'prompt' => 'Selecione')
    );

    $script = "
        $(document).on('change', '#selecionaUnidadeDestino', function(event) {
            var url = createUrl('metasVendas/transferenciaMetas', {
                origem: $('#selecionaUnidadeOrigem').val(),
                destino: $(this).val()
            });
            window.location.replace(url);
        });
    ";
    $cs->registerScript(Util::uid(), $script);
}

if ($origem && $destino) {
    echo CHtml::label("Selecione o męs inicial a ser transferido", 'selecionaMesTransferencia');
    echo CHtml::dropDownList(
        'mes',
        $mes,
        Util::getMeses(),
        array('id' => 'selecionaMesTransferencia', 'prompt' => 'Selecione')
    );

    $script = "
        $(document).on('change', '#selecionaMesTransferencia', function(event) {
            var url = createUrl('metasVendas/transferenciaMetas', {
                origem: $('#selecionaUnidadeOrigem').val(),
                destino: $('#selecionaUnidadeDestino').val(),
                mes: $(this).val()
            });
            window.location.replace(url);
        });
    ";
    $cs->registerScript(Util::uid(), $script);
}

if ($origem && $destino && $mes) {
    $this->renderPartial('_form_transferencia_nova_unidade', array(
        'model'                   => $model,
        'ano'                     => $ano,
        'mes'                     => $mes,

        'origem'                  => $origem,
        'destino'                 => $destino,

        'metaMensalidadeDestino'  => $metaMensalidadeDestino,
        'metaImplantacaoDestino'  => $metaImplantacaoDestino,
        'metaMensalidadeOrigem'   => $metaMensalidadeOrigem,
        'metaImplantacaoOrigem'   => $metaImplantacaoOrigem,

        'transferenciaImplantacao' => $transferenciaImplantacao,
        'cadastrarMetaImplantacao' => $cadastrarMetaImplantacao,
    ));
}


$script = <<<JAVASCRIPT
    $(document).on('change', '#selecionaUnidadeOrigem', function(event) {
        var url = createUrl('metasVendas/transferenciaMetas', {
            origem: $(this).val()
        });
        window.location.replace(url);
    });
JAVASCRIPT;
$cs->registerScript(Util::uid(), $script);
